package TC_Create_Ticket;

import org.openqa.selenium.By;
import org.openqa.selenium.JavascriptExecutor;
import org.openqa.selenium.Keys;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.openqa.selenium.support.ui.Select;
import org.testng.Assert;
import org.testng.annotations.Test;

import baseclass.TestBase;

public class TC_Create_Ticket_Module extends TestBase {

	 @Test
	public void tC_01_02() throws InterruptedException {
		ct.click_On_Ticket();
		boolean create_ticket = driver
				.findElement(By.xpath("/html/body/div/div/div[1]/div/ul[1]/li[3]/ul/li[2]/a/span")).isDisplayed();
		Assert.assertTrue(create_ticket);
		Thread.sleep(2000);

	}

	 @Test
	public void TC_03() throws InterruptedException {
		ct.click_On_Ticket();
		Thread.sleep(2000);
		ct.click_ON_CreateTicket();
		boolean create_ticket_displayed = driver
				.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div/div/div/h3")).isDisplayed();
		Assert.assertTrue(create_ticket_displayed);
	}

	 @Test
	public void TC_04() throws InterruptedException {
		ct.click_On_Ticket();
		Thread.sleep(2000);
		ct.click_ON_CreateTicket();
		Thread.sleep(2000);
		ct.click_on_your_deprtmnt();
		Actions actn = new Actions(driver);
		WebElement w = driver.findElement(By.id("from_department_id"));
		actn.click(w).pause(10).sendKeys("IT Testing" + Keys.ENTER).build().perform();
	}

	 @Test
	public void TC_06() throws InterruptedException {
		ct.click_On_Ticket();
		Thread.sleep(2000);
		ct.click_ON_CreateTicket();
		Thread.sleep(2000);
		ct.click_on_your_deprtmnt();
		Actions actn = new Actions(driver);
		WebElement w = driver.findElement(By.id("from_department_id"));
		actn.click(w).pause(10).sendKeys("IT Testing" + Keys.ENTER).build().perform();
		Thread.sleep(4000);
		ct.validate_Select_querry_dropDown();
	}

	@Test
	public void TC_10() throws InterruptedException {
		ct.click_On_Ticket();
		Thread.sleep(2000);
		ct.click_ON_CreateTicket();
		Thread.sleep(2000);
		ct.validate_Select_querry_dropDown();
		boolean description = driver.findElement(By.xpath("//textarea[@class=\"form-control form-control-sm\"]"))
				.isDisplayed();
		Assert.assertTrue(description);
	}
	@Test
	public void TC_11() throws InterruptedException
	{
		ct.click_On_Ticket();
		Thread.sleep(2000);
		ct.click_ON_CreateTicket();
		Thread.sleep(2000);
		ct.validate_Select_querry_dropDown();
		boolean description = driver.findElement(By.xpath("//textarea[@class=\"form-control form-control-sm\"]"))
				.isDisplayed();
		Assert.assertTrue(description);
	}
	
	@Test
	public void TC_12() throws InterruptedException
	{
		ct.click_On_Ticket();
		Thread.sleep(2000);
		ct.click_ON_CreateTicket();
		Thread.sleep(2000);
		boolean regular_uploading = driver.findElement(By.xpath("//input[@id=\"ticket_uploading_regular\"]")).isSelected();
	    Assert.assertTrue(regular_uploading);
	}
	
	@Test
	public void TC_13() throws InterruptedException
	{
		ct.click_On_Ticket();
		Thread.sleep(2000);
		ct.click_ON_CreateTicket();
		Thread.sleep(2000);
		ct.click_on_your_deprtmnt();
		ct.click_on_your_deprtmnt();
		Actions actn = new Actions(driver);
		WebElement w = driver.findElement(By.id("from_department_id"));
		actn.click(w).pause(10).sendKeys("IT Testing" + Keys.ENTER).build().perform();
		Thread.sleep(2000);
		ct.validate_Select_querry_dropDown();
		driver.findElement(By.xpath("//input[@id=\"ticket_uploading_regular\"]")).click();
		Thread.sleep(3000);
		driver.findElement(By.xpath("//input[@id=\"ticket_uploading_bulk_uploading\"]")).click();
		Thread.sleep(3000);
		
		driver.findElement(By.xpath("//input[@id=\"ticket_uploading_regular\"]")).click();
		boolean descriptn1 = driver.findElement(By.xpath("//textarea[@id=\"description\"]")).isDisplayed();
		Assert.assertTrue(descriptn1);
	}
	
	@Test
	public void TC_15() throws InterruptedException
	{
		ct.click_On_Ticket();
		Thread.sleep(2000);
		ct.click_ON_CreateTicket();
		Thread.sleep(2000);
		ct.click_on_your_deprtmnt();
		
		Actions actn = new Actions(driver);
		WebElement w = driver.findElement(By.id("from_department_id"));
		actn.click(w).pause(10).sendKeys("IT Testing" + Keys.ENTER).build().perform();
		Thread.sleep(2000);
		ct.select_querry();
		driver.findElement(By.xpath("//input[@id=\"ticket_uploading_regular\"]")).click();
		Thread.sleep(3000);
		driver.findElement(By.xpath("//input[@id=\"ticket_uploading_bulk_uploading\"]")).click();
		Thread.sleep(3000);
		driver.findElement(By.xpath("//input[@id=\"ticket_uploading_regular\"]")).click();
		boolean confirmation_yes = driver.findElement(By.id("id=\"confirmation_required_yes\"")).isEnabled();
	    Assert.assertTrue(confirmation_yes);
	
	}
	 @Test
	public void TC_16() throws InterruptedException
	{
		 ct.click_On_Ticket();
			Thread.sleep(2000);
			ct.click_ON_CreateTicket();
			Thread.sleep(2000);
			ct.click_on_your_deprtmnt();
			
			Actions actn = new Actions(driver);
			WebElement w = driver.findElement(By.id("from_department_id"));
			actn.click(w).pause(10).sendKeys("IT Testing" + Keys.ENTER).build().perform();
			Thread.sleep(2000);
			ct.select_querry();
			Thread.sleep(3000);
			ct.validate_priority();
	}
	 
	 @Test
	 public void TC_18() throws InterruptedException
	 {
		 ct.click_On_Ticket();
			Thread.sleep(2000);
			ct.click_ON_CreateTicket();
			Thread.sleep(2000);
			ct.click_on_your_deprtmnt();
			
			Actions actn = new Actions(driver);
			WebElement w = driver.findElement(By.id("from_department_id"));
			actn.click(w).pause(10).sendKeys("IT Testing" + Keys.ENTER).build().perform();
			Thread.sleep(2000);
			ct.select_querry();
			Thread.sleep(3000);
			ct.select_priority1();
			Thread.sleep(3000);
			JavascriptExecutor js = (JavascriptExecutor) driver;
            js.executeScript("window.scrollBy(0,450)", "");
			ct.click_on_attachmnt();
	 }
	
	 @Test
	 public void TC_23() throws InterruptedException
	 {
		 
		 ct.click_On_Ticket();
			Thread.sleep(2000);
			ct.click_ON_CreateTicket();
			Thread.sleep(2000);
			ct.click_on_your_deprtmnt();
			
			Actions actn = new Actions(driver);
			WebElement w = driver.findElement(By.id("from_department_id"));
			actn.click(w).pause(10).sendKeys("IT Testing" + Keys.ENTER).build().perform();
			Thread.sleep(2000);
			ct.select_querry();
			Thread.sleep(3000);
			ct.select_priority1();
			Thread.sleep(3000);
			JavascriptExecutor js = (JavascriptExecutor) driver;
         js.executeScript("window.scrollBy(0,650)", "");
         Thread.sleep(3000);
         ct.click_on_cancel_button();
		 boolean cancel_button_working = driver.findElement(By.xpath("/html/body/div/div/div[2]/div[2]/div/div[1]/div/div/h3")).isDisplayed();
		 Assert.assertTrue(cancel_button_working);
	 }
	 
	 @Test
	 public void TC_24() throws InterruptedException
	 {
		 ct.click_On_Ticket();
			Thread.sleep(2000);
			ct.click_ON_CreateTicket();
			Thread.sleep(2000);
			JavascriptExecutor js = (JavascriptExecutor) driver;
	         js.executeScript("window.scrollBy(0,650)", "");
	         Thread.sleep(2000);
			//ct.click_on_submit();
			
	      
	 }
	
	
	
	

}
